Subject: bug#18699: 25.0.50; Windows 7: Odd length text property list

From: [email-masked] (Óscar Fuentes)
Date: Mon, 13 Oct 2014 22:35:45 +0200

Eli Zaretskii <[email-masked]> writes:

> A 64-bit build on Windows, whether a Cygwin build or a MinGW64 build,
> doesn't need the force_align_arg_pointer, since the 64-bit ABI
> requires the 8-byte alignment.  The __x86_64__ is there to exclude the
> 64-bit Cygwin build.  If it can also exclude the MinGW64 build, we
> don't need any MinGW64-specific symbols there.

As mentioned on a previous message, __x86_64__ will exclude Windows 64
on x86* processors, but not on others (i.e. ARM).

>> Eli, both MinGW and MinGW-w64 compilers support sjlj and Dwarf exception
>> methods on x86.
>
> But what is the default one?  That's what's important.

MinGW-w64 has no default. Both sjlj and Dwarf have official binaries on
x86 and sjlj and SEH on x86_64. MinGW only distributes Dwarf, IIRC, but
that can change anytime.

But we are off-topic now.